/* Formatted on 30-8-2016 21:44:21 (QP5 v5.136.908.31019) */
-- Script containing customer specific configuration sql statements for PCHH (Holding)
-- (c) 2008 Facilitor
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700

spool xpchh.lst
set echo on
set define off



-- Notificatie jobs
--
-- PCHD#34588: notificatie naar aanvragende werkmaatschappij sturen bij nieuwe melding

CREATE OR REPLACE VIEW pchh_v_noti_mldenergie
(
   sender,
   receiver,
   text,
   code,
   fac_srtnotificatie_key,
   KEY,
   xkey,
   xemail,
   xmobile
)
AS
   SELECT DISTINCT
          NULL sender,
          NULL receiver,
          REPLACE (
             REPLACE (lcl.x('fac_srtnotificatie_oms', n.fac_srtnotificatie_key, n.fac_srtnotificatie_oms), 
             '##KEY##', m.mld_melding_key),
             '##DISC##/##STDMLD##', SM.MLD_STDMELDING_OMSCHRIJVING  ),
          fac_srtnotificatie_code,
          n.fac_srtnotificatie_key,
          m.mld_melding_key,
          NULL xkey,
          prs_contactpersoon_email xemail,
          NULL xmobile
     FROM fac_tracking t,
          mld_melding m,
          mld_stdmelding sm,
          fac_srtnotificatie n,
          prs_contactpersoon c,
          mld_kenmerkmelding km,
          mld_kenmerk k
    WHERE  T.FAC_TRACKING_REFKEY = M.MLD_MELDING_KEY
           AND M.MLD_STDMELDING_KEY = SM.MLD_STDMELDING_KEY
          AND T.FAC_SRTNOTIFICATIE_KEY =40
          AND N.FAC_SRTNOTIFICATIE_CODE = 'MLDNEW'
           AND m.mld_stdmelding_key = 821
          AND KM.MLD_MELDING_KEY = M.MLD_MELDING_KEY
          AND KM.MLD_KENMERK_KEY = 302
          AND FAC.SAFE_TO_NUMBER (mld_kenmerkmelding_waarde) =
                prs_contactpersoon_key
          AND t.fac_tracking_datum >
                (SELECT fac_notificatie_job_nextrun
                        - fac_notificatie_job_interval / 24
                   FROM fac_notificatie_job
                  WHERE UPPER (fac_notificatie_job_view) =
                           'PCHH_V_NOTI_MLDENERGIE')
          AND t.fac_tracking_datum <
                (SELECT fac_notificatie_job_nextrun
                   FROM fac_notificatie_job
                  WHERE UPPER (fac_notificatie_job_view) =
                           'PCHH_V_NOTI_MLDENERGIE')
UNION ALL
   SELECT DISTINCT
          NULL sender,
          NULL receiver,
          REPLACE (
             REPLACE (lcl.x('fac_srtnotificatie_oms', n.fac_srtnotificatie_key, n.fac_srtnotificatie_oms), '##KEY##', m.mld_melding_key),
             '##DISC##/##STDMLD##', SM.MLD_STDMELDING_OMSCHRIJVING  ),
          fac_srtnotificatie_code,
          n.fac_srtnotificatie_key,
          m.mld_melding_key,
          NULL xkey,
          prs_contactpersoon_email xemail,
          NULL xmobile
     FROM fac_tracking t,
          mld_melding m,
          mld_stdmelding sm,
          fac_srtnotificatie n,
          prs_contactpersoon c,
          mld_kenmerkmelding km,
          mld_kenmerk k
    WHERE  T.FAC_TRACKING_REFKEY = M.MLD_MELDING_KEY
           AND M.MLD_STDMELDING_KEY = SM.MLD_STDMELDING_KEY
          AND T.FAC_SRTNOTIFICATIE_KEY =36
          AND N.FAC_SRTNOTIFICATIE_CODE = 'MLDAFM'
           AND m.mld_stdmelding_key = 821
          AND KM.MLD_MELDING_KEY = M.MLD_MELDING_KEY
          AND KM.MLD_KENMERK_KEY = 302
          AND FAC.SAFE_TO_NUMBER (mld_kenmerkmelding_waarde) =
                prs_contactpersoon_key
          AND t.fac_tracking_datum >
                (SELECT fac_notificatie_job_nextrun
                        - fac_notificatie_job_interval / 24
                   FROM fac_notificatie_job
                  WHERE UPPER (fac_notificatie_job_view) =
                           'PCHH_V_NOTI_MLDENERGIE')
          AND t.fac_tracking_datum <
                (SELECT fac_notificatie_job_nextrun
                   FROM fac_notificatie_job
                  WHERE UPPER (fac_notificatie_job_view) =
                           'PCHH_V_NOTI_MLDENERGIE');
                           
SHOW ERRORS

CREATE OR REPLACE VIEW PCHH_V_WERKMAATSCHAPPIJ
(
   PRS_BEDRIJF_KEY,
   PRS_BEDRIJF_NAAM
)
AS
   SELECT prs_bedrijf_key, prs_bedrijf_naam
     FROM prs_bedrijf
    WHERE prs_bedrijf.prs_bedrijf_verwijder IS NULL
          AND prs_bedrijf_huurder = 1;

CREATE OR REPLACE VIEW PCHH_V_CONTACT_WERKM
(
   PRS_CONTACTPERSOON_KEY,
   PRS_CONTACTPERSOON_EMAIL
)
AS
   SELECT c.prs_contactpersoon_key, c.prs_contactpersoon_email
     FROM prs_bedrijf b, prs_contactpersoon c
    WHERE     b.prs_bedrijf_verwijder IS NULL
          AND B.PRS_BEDRIJF_KEY = C.PRS_BEDRIJF_KEY
          AND b.prs_bedrijf_huurder = 1;

CREATE OR REPLACE VIEW PCHH_V_BULKUPLOAD_ELEKTRA
(
   OBJECTID,
   STATUS_PCH,
   WEEK,
   YEAR,
   START_DATE,
   STREET,
   HOUSE_NUM1,
   HOUSE_NUM2,
   POST_CODE1,
   CITY1,
   EAN,
   BUS_AGREE_NO,
   ZZRES_FUNC,
   ZZEB_CLU_TXT,
   ZZEB_MAIN,
   ZZUSAGE_1,
   ZZPEAK_1,
   STATUS,
   PO_NUMBER_SOLD,
   VBEZ,
   VREFER,
   ZZALT_NAME,
   ZZALTINVADDR,
   ZZALTINV_STREET,
   ZZALTINV_POSTC,
   ZZALTINV_CITY,
   ZZALTINV_COUNTRY,
   ZZDL_CONNECTION,
   ZZTXT_CONNECTION,
   ZZALTMDBADDR,
   ZZALTMDB_EMAIL,
   ZZALTMDB_STREET,
   ZZALTMDB_HSNUM1,
   ZZALTMDB_HSNUM2,
   ZZALTMDB_POSTC,
   ZZALTMDB_CITY,
   ZZALTMDB_COUNTRY,
   ZZALTVKOADDR,
   ZZALTVKO_EMAIL,
   ZZALTVKO_STREET,
   ZZALTVKO_HSNUM1,
   ZZALTVKO_HSNUM2,
   ZZALTVKO_POSTC,
   ZZALTVKO_CITY,
   ZZALTVKO_COUNTRY,
   ZZALTVKOFREQ,
   ZZTELWERK1_E,
   ZZTELWERK2_E,
   ZZTELWERK3_E,
   ZZTELWERK4_E,
   ZZTERUGLEV,
   ZZDUURZAAM
)
AS
   SELECT O.INS_DEEL_KEY,
          status_pch.fac_usrdata_omschr status,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iw')
             week,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iyyy')
             year,
          REPLACE (ingangsdatum.ins_kenmerkdeel_waarde, '-', '') start_date,
          straat.ins_kenmerkdeel_waarde street,
          huisnummer.ins_kenmerkdeel_waarde house_num1,
          huisnr_toev.ins_kenmerkdeel_waarde house_num2,
          postcode.ins_kenmerkdeel_waarde post_code1,
          plaats.ins_kenmerkdeel_waarde city1,
          ean.ins_kenmerkdeel_waarde ean,
          debiteur.prs_leverancier_nr bus_agree_no,
          DECODE (verbl_functie.ins_kenmerkdeel_waarde, 1, 'X') zzres_func,
          ebcluster.ins_kenmerkdeel_waarde zzeb_clu_txt,
          eb_mainnr.ins_kenmerkdeel_waarde zzeb_main,
          jaarverb.ins_kenmerkdeel_waarde zzusage_1,
          piek.ins_kenmerkdeel_waarde zzpeak_1,
          status.fac_usrdata_omschr status,
          site.ins_kenmerkdeel_waarde po_number_sold,
          eerste_facref.ins_kenmerkdeel_waarde vbez,
          --tweede_facref.ins_kenmerkdeel_waarde vrefer,
          '' vrefer,
          debiteur.prs_bedrijf_bezoek_adres zzalt_name,
          debiteur.prs_kenmerklink_waarde zzaltinvaddr,
          '' zzaltinv_street,
          '' zzaltinv_postc,
          '' zzaltinv_city,
          '' zzaltinv_country,
          srt_aansl.ins_kenmerkdeel_waarde zzdl_connection,
          srt_aansl_txt.ins_kenmerkdeel_waarde zztxt_connection,
          '02' zzaltmdbaddr,
          contactpers.prs_contactpersoon_email zzaltmdb_email,
          '' zzaltmdb_street,
          '' zzaltmdb_hsnum1,
          '' zzaltmdb_hsnum2,
          '' zzaltmdb_postc,
          '' zzaltmdb_city,
          '' zzaltmdb_country,
          adressering_vko.ins_kenmerkdeel_waarde zzaltvkoaddr,
          contactpers.prs_contactpersoon_email zzaltvko_email,
          '' zzaltvko_street,
          '' zzaltvko_hsnum1,
          '' zzaltvko_hsnum2,
          '' zzaltvko_potsc,
          '' zzaltvko_city,
          '' zzaltvko_country,
          frequentie_vko.ins_kenmerkdeel_waarde zzaltvkofreq,
          meter_I.ins_kenmerkdeel_waarde zztelwerk1_e,
          meter_II.ins_kenmerkdeel_waarde zztelwerk2_e,
          meter_III.ins_kenmerkdeel_waarde zztelwerk3_e,
          meter_IV.ins_kenmerkdeel_waarde zztelwerk4_e,
          DECODE (terugl.ins_kenmerkdeel_waarde, 1, 'X') zzteruglev,
          DECODE (duurzaam.ins_kenmerkdeel_waarde, 1, 'X') zzduurzaam
     FROM ins_deel o,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 52) ingangsdatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 44) straat,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 45) huisnummer,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 46) huisnr_toev,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 47) postcode,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 48) plaats,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 41) ean,
          (SELECT k.*, d.*, n.prs_kenmerklink_waarde
             FROM ins_kenmerkdeel k, prs_bedrijf d, prs_kenmerklink n
            WHERE     K.INS_KENMERKDEEL_WAARDE = D.PRS_BEDRIJF_KEY
                  AND K.INS_KENMERK_KEY = 101
                  AND D.PRS_BEDRIJF_KEY = N.PRS_LINK_KEY(+)
                  AND N.PRS_KENMERK_KEY = 1040) debiteur,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 74) ebcluster,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 290) eb_mainnr,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 205) jaarverb,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 69) piek,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 261) status,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 291) site,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 292) eerste_facref,
          --   (SELECT k.*
          --      FROM ins_kenmerkdeel k
          --    WHERE K.INS_KENMERK_KEY = 243) tweede_facref,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 71) srt_aansl,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE k.ins_kenmerk_key = 72) srt_aansl_txt,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, pchh_v_contact_werkm kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.prs_contactpersoon_key
                  AND k.ins_kenmerk_key = 241) contactpers,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 303) adressering_vko,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 207) frequentie_vko,
          (SELECT K.*
             FROM ins_kenmerkdeel k
            WHERE k.ins_kenmerk_key = 75) terugl,
          (SELECT K.*
             FROM ins_kenmerkdeel k
            WHERE k.ins_kenmerk_key = 302) duurzaam,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 283) statusdatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 181) verbl_functie,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 304) meter_I,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 61) meter_II,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 62) meter_III,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 63) meter_IV,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 281) status_pch
    WHERE     O.INS_SRTDEEL_KEY = 221
          AND O.INS_DEEL_VERWIJDER IS NULL
          AND o.ins_deel_key = ingangsdatum.ins_deel_key(+)
          AND o.ins_deel_key = straat.ins_deel_key(+)
          AND o.ins_deel_key = huisnummer.ins_deel_key(+)
          AND o.ins_deel_key = huisnr_toev.ins_deel_key(+)
          AND o.ins_deel_key = postcode.ins_deel_key(+)
          AND o.ins_deel_key = plaats.ins_deel_key(+)
          AND o.ins_deel_key = ean.ins_deel_key(+)
          AND o.ins_deel_key = debiteur.ins_deel_key(+)
          AND o.ins_deel_key = ebcluster.ins_deel_key(+)
          AND o.ins_deel_key = eb_mainnr.ins_deel_key(+)
          AND o.ins_deel_key = jaarverb.ins_deel_key(+)
          AND o.ins_deel_key = piek.ins_deel_key(+)
          AND o.ins_deel_key = status.ins_deel_key(+)
          AND o.ins_deel_key = site.ins_deel_key(+)
          AND o.ins_deel_key = eerste_facref.ins_deel_key(+)
          --AND o.ins_deel_key = tweede_facref.ins_deel_key(+)
          AND o.ins_deel_key = srt_aansl.ins_deel_key(+)
          AND o.ins_deel_key = srt_aansl_txt.ins_deel_key(+)
          AND o.ins_deel_key = contactpers.ins_deel_key(+)
          AND o.ins_deel_key = adressering_vko.ins_deel_key(+)
          AND o.ins_deel_key = frequentie_vko.ins_deel_key(+)
          AND o.ins_deel_key = terugl.ins_deel_key(+)
          AND o.ins_deel_key = duurzaam.ins_deel_key(+)
          AND o.ins_deel_key = statusdatum.ins_deel_key(+)
          AND o.ins_deel_key = verbl_functie.ins_deel_key(+)
          AND o.ins_deel_key = meter_I.ins_deel_key(+)
          AND o.ins_deel_key = meter_II.ins_deel_key(+)
          AND o.ins_deel_key = meter_III.ins_deel_key(+)
          AND o.ins_deel_key = meter_IV.ins_deel_key(+)
          AND o.ins_deel_key = status_pch.ins_deel_key(+);

CREATE OR REPLACE VIEW PCHH_V_BULKUPLOAD_GAS
(
   OBJECTID,
   STATUS_PCH,
   WEEK,
   YEAR,
   START_DATE,
   STREET,
   HOUSE_NUM1,
   HOUSE_NUM2,
   POST_CODE1,
   CITY1,
   EAN,
   BUS_AGREE_NO,
   ZZUSAGE_1,
   ZZCAPACITY_1,
   STATUS,
   PO_NUMBER_SOLD,
   VBEZ,
   VREFER,
   ZZALT_NAME,
   ZZALTINVADDR,
   ZZALTINV_STREET,
   ZZALTINV_POSTC,
   ZZALTINV_CITY,
   ZZALTINV_COUNTRY,
   ZZ_TUIN,
   ZZ_TUIN_FROM,
   ZZ_TUIN_TO,
   ZZ_TUIN_PERC,
   ZZ_TUIN_WH,
   ZZ_TUIN_BTW,
   ZZALTMDBADDR,
   ZZALTMDB_EMAIL,
   ZZALTMDB_STREET,
   ZZALTMDB_HSNUM1,
   ZZALTMDB_HSNUM2,
   ZZALTMDB_POSTC,
   ZZALTMDB_CITY,
   ZZALTMDB_COUNTRY,
   ZZALTVKOADDR,
   ZZALTVKO_EMAIL,
   ZZALTVKO_STREET,
   ZZALTVKO_HSNUM1,
   ZZALTVKO_HSNUM2,
   ZZALTVKO_POSTC,
   ZZALTVKO_CITY,
   ZZALTVKO_COUNTRY,
   ZZALTVKOFREQ,
   ZZTELWERK1_G
)
AS
   SELECT O.INS_DEEL_KEY,
          status_pch.fac_usrdata_omschr status_pch,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iw')
             week,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iyyy')
             year,
          REPLACE (ingangsdatum.ins_kenmerkdeel_waarde, '-', '') start_date,
          straat.ins_kenmerkdeel_waarde street,
          huisnummer.ins_kenmerkdeel_waarde house_num1,
          huisnr_toev.ins_kenmerkdeel_waarde house_num2,
          postcode.ins_kenmerkdeel_waarde post_code1,
          plaats.ins_kenmerkdeel_waarde city1,
          ean.ins_kenmerkdeel_waarde ean,
          debiteur.prs_leverancier_nr bus_agree_no,
          jaarverb.ins_kenmerkdeel_waarde zzusage_1,
          '' zzcpacity_1,
          status.fac_usrdata_omschr status,
          '' po_number_sold,
          eerste_facref.ins_kenmerkdeel_waarde vbez,
          '' vrefer,
          debiteur.prs_bedrijf_bezoek_adres zzalt_name,
          debiteur.prs_kenmerklink_waarde zzaltinvaddr,
          '' zzaltinv_street,
          '' zzaltinv_postc,
          '' zzaltinv_city,
          '' zzaltinv_country,
          '' zz_tuin,
          '' zz_tuin_from,
          '' zz_tuin_to,
          '' zz_tuin_perc,
          '' zz_tuin_wh,
          '' zz_tuin_btw,
          '02' zzaltmdbaddr,
          contactpers.prs_contactpersoon_email zzaltmdb_email,
          '' zzaltmdb_street,
          '' zzaltmdb_hsnum1,
          '' zzaltmdb_hsnum2,
          '' zzaltmdb_postc,
          '' zzaltmdb_city,
          '' zzaltmdb_country,
          adressering_vko.ins_kenmerkdeel_waarde zzaltvkoaddr,
          contactpers.prs_contactpersoon_email zzaltvko_email,
          '' zzaltvko_street,
          '' zzaltvko_hsnum1,
          '' zzaltvko_hsnum2,
          '' zzaltvko_potsc,
          '' zzaltvko_city,
          '' zzaltvko_country,
          frequentie_vko.ins_kenmerkdeel_waarde zzaltvkofreq,
          meterstand.ins_kenmerkdeel_waarde zztelwerk1_g
     FROM ins_deel o,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 52) ingangsdatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 44) straat,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 45) huisnummer,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 46) huisnr_toev,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 47) postcode,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 48) plaats,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 41) ean,
          (SELECT k.*, d.*, n.prs_kenmerklink_waarde
             FROM ins_kenmerkdeel k, prs_bedrijf d, prs_kenmerklink n
            WHERE     K.INS_KENMERKDEEL_WAARDE = D.PRS_BEDRIJF_KEY
                  AND K.INS_KENMERK_KEY = 101
                  AND D.PRS_BEDRIJF_KEY = N.PRS_LINK_KEY(+)
                  AND N.PRS_KENMERK_KEY = 1040) debiteur,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 208) jaarverb,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 261) status,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 286) eerste_facref,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, pchh_v_contact_werkm kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.prs_contactpersoon_key
                  AND k.ins_kenmerk_key = 241) contactpers,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 284) adressering_vko,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 287) frequentie_vko,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 283) statusdatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 288) meterstand,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 282) status_pch
    WHERE     O.INS_SRTDEEL_KEY = 222
          AND O.INS_DEEL_VERWIJDER IS NULL
          AND o.ins_deel_key = ingangsdatum.ins_deel_key(+)
          AND o.ins_deel_key = straat.ins_deel_key(+)
          AND o.ins_deel_key = huisnummer.ins_deel_key(+)
          AND o.ins_deel_key = huisnr_toev.ins_deel_key(+)
          AND o.ins_deel_key = postcode.ins_deel_key(+)
          AND o.ins_deel_key = plaats.ins_deel_key(+)
          AND o.ins_deel_key = ean.ins_deel_key(+)
          AND o.ins_deel_key = debiteur.ins_deel_key(+)
          AND o.ins_deel_key = jaarverb.ins_deel_key(+)
          AND o.ins_deel_key = status.ins_deel_key(+)
          AND o.ins_deel_key = eerste_facref.ins_deel_key(+)
          AND o.ins_deel_key = contactpers.ins_deel_key(+)
          AND o.ins_deel_key = adressering_vko.ins_deel_key(+)
          AND o.ins_deel_key = frequentie_vko.ins_deel_key(+)
          AND o.ins_deel_key = statusdatum.ins_deel_key(+)
          AND o.ins_deel_key = meterstand.ins_deel_key(+)
          AND o.ins_deel_key = status_pch.ins_deel_key(+);

CREATE OR REPLACE VIEW PCHH_V_AFMELDINGEN_ENERGIE
(
   OBJECTID,
   STATUS_PCH,
   WEEK,
   JAAR,
   END_DATE,
   SEND_SWITCH,
   EAN,
   STATUS,
   ZZTELWERK1_E,
   ZZTELWERK2_E,
   ZZTELWERK3_E,
   ZZTELWERK4_E,
   ZZTELWERK1_G
)
AS
   SELECT O.INS_DEEL_KEY,              -- eerst alle elektra aansluitingen 221
          status_pch.fac_usrdata_omschr status_pch,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iw')
             week,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iyyy')
             year,
          REPLACE (einddatum.ins_kenmerkdeel_waarde, '-', '') end_date,
          '' send_switch,
          ean.ins_kenmerkdeel_waarde ean,
          status.fac_usrdata_omschr status,
          telwerk_I.ins_kenmerkdeel_waarde zztelwerk1_e,
          telwerk_II.ins_kenmerkdeel_waarde zztelwerk2_e,
          telwerk_III.ins_kenmerkdeel_waarde zztelwerk3_e,
          telwerk_IV.ins_kenmerkdeel_waarde zztelwerk4_e,
          '' zztelwerk1_g
     FROM ins_deel o,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 53) einddatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 41) ean,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 261) status,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 283) statusdatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 304) telwerk_I,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 61) telwerk_II,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 62) telwerk_III,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 63) telwerk_IV,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 281) status_pch
    WHERE     O.INS_SRTDEEL_KEY = 221
          AND O.INS_DEEL_VERWIJDER IS NULL
          AND o.ins_deel_key = einddatum.ins_deel_key(+)
          AND o.ins_deel_key = ean.ins_deel_key(+)
          AND o.ins_deel_key = status.ins_deel_key(+)
          AND o.ins_deel_key = statusdatum.ins_deel_key(+)
          AND o.ins_deel_key = telwerk_I.ins_deel_key(+)
          AND o.ins_deel_key = telwerk_II.ins_deel_key(+)
          AND o.ins_deel_key = telwerk_III.ins_deel_key(+)
          AND o.ins_deel_key = telwerk_IV.ins_deel_key(+)
          AND o.ins_deel_key = status_pch.ins_deel_key(+)
   UNION ALL
   SELECT O.INS_DEEL_KEY,                    --- dan alle gasaansluitingen 222
          status_pch.fac_usrdata_omschr status_pch,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iw')
             week,
          TO_CHAR (
             TO_DATE (statusdatum.ins_kenmerkdeel_waarde, 'dd-mm-yyyy'),
             'iyyy')
             year,
          REPLACE (einddatum.ins_kenmerkdeel_waarde, '-', '') end_date,
          '' send_switch,
          ean.ins_kenmerkdeel_waarde ean,
          status.fac_usrdata_omschr status,
          '' zztelwerk1_e,
          '' zztelwerk2_e,
          '' zztelwerk3_e,
          '' zztelwerk4_e,
          zztelwerk1_g.ins_kenmerkdeel_waarde zztelwerk1_g
     FROM ins_deel o,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 53) einddatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 41) ean,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 261) status,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 283) statusdatum,
          (SELECT k.*
             FROM ins_kenmerkdeel k
            WHERE K.INS_KENMERK_KEY = 288) zztelwerk1_g,
          (SELECT K.INS_DEEL_KEY, kw.*
             FROM ins_kenmerkdeel k, fac_usrdata kw
            WHERE K.INS_KENMERKDEEL_WAARDE = kw.fac_usrdata_key
                  AND k.ins_kenmerk_key = 282) status_pch
    WHERE     O.INS_SRTDEEL_KEY = 222
          AND O.INS_DEEL_VERWIJDER IS NULL
          AND o.ins_deel_key = einddatum.ins_deel_key(+)
          AND o.ins_deel_key = ean.ins_deel_key(+)
          AND o.ins_deel_key = status.ins_deel_key(+)
          AND o.ins_deel_key = statusdatum.ins_deel_key(+)
          AND o.ins_deel_key = zztelwerk1_g.ins_deel_key(+)
          AND o.ins_deel_key = status_pch.ins_deel_key(+);

BEGIN
   fac.registercustversion ('PCHH', 3);
END;
/

BEGIN
   adm.systrackscriptId ('$Id$', 0);
END;
/

COMMIT;
SPOOL OFF